<h2 class="text-align-center">Login</h2>
<div class="app-plate">
  <form [formGroup]="loginForm">
  <!-- #loginForm="ngForm" --> 
    <div class="login-form">
      <div>
        <div class="form__control">
          <label for="email">Email</label>
          <!--Use the name `email` for the form control.-->
          <input type="text" 
                  id="email" 
                  placeholder="Input text"
                  EmailValidatorDirective 
                  [class.input-error]="loginForm.get('email')?.invalid"
                  formControlName="email"/>
          <!-- <span id="emailErrorMessage" class="text-danger">Email is required.</span> -->
          <span *ngIf="loginForm.get('email')?.errors?.['required'] && (loginForm.get('email')?.touched || loginForm.get('email')?.dirty)" class="text-danger">Email is required.</span>
          <span *ngIf="loginForm.get('email')?.errors?.['invalidEmail'] && (loginForm.get('email')?.touched || loginForm.get('email')?.dirty)" class="text-danger">Invalid email format.</span>
        </div>
        <div class="form__control">
          <label for="password">Password</label>
          <!--Use the name `password` for the form control.-->
          <input type="password" 
                  id="password" 
                  placeholder="Input text"
                  [class.input-error]="loginForm.get('password')?.invalid"
                  formControlName="password"
                  appPassword/>
                  <span *ngIf="loginForm.get('password')?.errors?.['required'] && (loginForm.get('password')?.touched || loginForm.get('password')?.dirty)" class="text-danger">Password is required.</span>
        </div>
      </div>
      <div>
        <div class="form__action">
          <app-button (click)="onSubmit()" [button-text]="'Submit'"></app-button>
        </div>
        <div class="form__text">
          If you don't have an account you may <a routerLink="/registration"><strong>Registration</strong></a>
        </div>
      </div>
    </div>
  </form>
</div>
